Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVolumeTextureMapper Class Reference

`#include <vtkVolumeTextureMapper.h>`

Inheritance diagram for vtkVolumeTextureMapper:

[legend]
Collaboration diagram for vtkVolumeTextureMapper:

[legend]
List of all members.

## Detailed Description

Abstract class for a volume mapper.

Date:
  2002/08/28 17:01:24

Revision:
  1.25

vtkVolumeTextureMapper is the abstract definition of a volume mapper that uses a texture mapping approach.

See also:
  vtkVolumeMapper

Created by:
  - Avila, Lisa

CVS contributions (if > 5%):
  - Avila, Lisa (89%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkVolumeTextureMapper.h)`
  - .`cxx` (`/Rendering/vtkVolumeTextureMapper.cxx)`

Definition at line 51 of file vtkVolumeTextureMapper.h.

## Public Types
typedef vtkVolumeMapper | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Update ()
virtual void | Render (vtkRenderer *ren, vtkVolume *vol)=0
virtual void | SetGradientEstimator (vtkEncodedGradientEstimator *gradest)
virtual vtkEncodedGradientEstimator * | GetGradientEstimator ()
virtual vtkEncodedGradientShader * | GetGradientShader ()
float * | GetGradientOpacityArray ()
unsigned char * | GetRGBAArray ()
float * | GetRedDiffuseShadingTable ()
float * | GetGreenDiffuseShadingTable ()
float * | GetBlueDiffuseShadingTable ()
float * | GetRedSpecularShadingTable ()
float * | GetGreenSpecularShadingTable ()
float * | GetBlueSpecularShadingTable ()
unsigned short * | GetEncodedNormals ()
unsigned char * | GetGradientMagnitudes ()
virtual int | GetShade ()
virtual vtkRenderWindow * | GetRenderWindow ()
virtual float * | GetDataOrigin ()
virtual void | GetDataOrigin (float data[3])
virtual float * | GetDataSpacing ()
virtual void | GetDataSpacing (float data[3])
virtual float | GetGradientMagnitudeScale ()
virtual float | GetGradientMagnitudeBias ()
virtual float | GetGradientMagnitudeScale (int)
virtual float | GetGradientMagnitudeBias (int)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkVolumeTextureMapper * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkVolumeTextureMapper ()
| ~vtkVolumeTextureMapper ()
void | InitializeRender (vtkRenderer *ren, vtkVolume *vol)
## Protected Attributes
vtkEncodedGradientEstimator * | GradientEstimator
vtkEncodedGradientShader * | GradientShader
int | Shade
float * | GradientOpacityArray
unsigned char * | RGBAArray
int | ArraySize
float * | RedDiffuseShadingTable
float * | GreenDiffuseShadingTable
float * | BlueDiffuseShadingTable
float * | RedSpecularShadingTable
float * | GreenSpecularShadingTable
float * | BlueSpecularShadingTable
float | DataOrigin [3]
float | DataSpacing [3]
unsigned short * | EncodedNormals
unsigned char * | GradientMagnitudes
float | SampleDistance
vtkRenderWindow * | RenderWindow

## Member Typedef Documentation

typedef vtkVolumeMapper vtkVolumeTextureMapper::Superclass

| Reimplemented from vtkVolumeMapper. Reimplemented in vtkMesaVolumeTextureMapper2D, vtkOpenGLVolumeTextureMapper2D, and vtkVolumeTextureMapper2D. Definition at line 54 of file vtkVolumeTextureMapper.h.

## Constructor & Destructor Documentation

vtkVolumeTextureMapper::vtkVolumeTextureMapper | ( |  | ) | `[protected]`

vtkVolumeTextureMapper::~vtkVolumeTextureMapper | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkVolumeTextureMapper::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkVolumeMapper. Reimplemented in vtkMesaVolumeTextureMapper2D, vtkOpenGLVolumeTextureMapper2D, and vtkVolumeTextureMapper2D.

int vtkVolumeTextureMapper::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeMapper. Reimplemented in vtkMesaVolumeTextureMapper2D, vtkOpenGLVolumeTextureMapper2D, and vtkVolumeTextureMapper2D.

virtual int vtkVolumeTextureMapper::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeMapper. Reimplemented in vtkMesaVolumeTextureMapper2D, vtkOpenGLVolumeTextureMapper2D, and vtkVolumeTextureMapper2D.

vtkVolumeTextureMapper* vtkVolumeTextureMapper::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkVolumeMapper. Reimplemented in vtkMesaVolumeTextureMapper2D, vtkOpenGLVolumeTextureMapper2D, and vtkVolumeTextureMapper2D.

void vtkVolumeTextureMapper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkVolumeMapper. Reimplemented in vtkMesaVolumeTextureMapper2D, vtkOpenGLVolumeTextureMapper2D, and vtkVolumeTextureMapper2D.

virtual void vtkVolumeTextureMapper::Update | ( |  | ) | `[virtual]`

| Update the volume rendering pipeline by updating the scalar input Reimplemented from vtkVolumeMapper.

virtual void vtkVolumeTextureMapper::SetGradientEstimator | ( | vtkEncodedGradientEstimator * | gradest | ) | `[virtual]`

| Set / Get the gradient estimator used to estimate normals

virtual vtkEncodedGradientEstimator* vtkVolumeTextureMapper::GetGradientEstimator | ( |  | ) | `[virtual]`

| Set / Get the gradient estimator used to estimate normals

virtual vtkEncodedGradientShader* vtkVolumeTextureMapper::GetGradientShader | ( |  | ) | `[virtual]`

| Get the gradient shader.

float* vtkVolumeTextureMapper::GetGradientOpacityArray | ( |  | ) | `[inline]`

| Allow access to the arrays / variables from the templated functions in the subclasses. Definition at line 75 of file vtkVolumeTextureMapper.h.

unsigned char* vtkVolumeTextureMapper::GetRGBAArray | ( |  | ) | `[inline]`

| Allow access to the arrays / variables from the templated functions in the subclasses. Definition at line 76 of file vtkVolumeTextureMapper.h.

float* vtkVolumeTextureMapper::GetRedDiffuseShadingTable | ( |  | ) | `[inline]`

| Allow access to the arrays / variables from the templated functions in the subclasses. Definition at line 77 of file vtkVolumeTextureMapper.h.

float* vtkVolumeTextureMapper::GetGreenDiffuseShadingTable | ( |  | ) | `[inline]`

| Allow access to the arrays / variables from the templated functions in the subclasses. Definition at line 78 of file vtkVolumeTextureMapper.h.

float* vtkVolumeTextureMapper::GetBlueDiffuseShadingTable | ( |  | ) | `[inline]`

| Allow access to the arrays / variables from the templated functions in the subclasses. Definition at line 79 of file vtkVolumeTextureMapper.h.

float* vtkVolumeTextureMapper::GetRedSpecularShadingTable | ( |  | ) | `[inline]`

| Allow access to the arrays / variables from the templated functions in the subclasses. Definition at line 80 of file vtkVolumeTextureMapper.h.

float* vtkVolumeTextureMapper::GetGreenSpecularShadingTable | ( |  | ) | `[inline]`

| Allow access to the arrays / variables from the templated functions in the subclasses. Definition at line 81 of file vtkVolumeTextureMapper.h.

float* vtkVolumeTextureMapper::GetBlueSpecularShadingTable | ( |  | ) | `[inline]`

| Allow access to the arrays / variables from the templated functions in the subclasses. Definition at line 82 of file vtkVolumeTextureMapper.h.

unsigned short* vtkVolumeTextureMapper::GetEncodedNormals | ( | void |  | ) | `[inline]`

| Allow access to the arrays / variables from the templated functions in the subclasses. Definition at line 83 of file vtkVolumeTextureMapper.h.

unsigned char* vtkVolumeTextureMapper::GetGradientMagnitudes | ( | void |  | ) | `[inline]`

| Allow access to the arrays / variables from the templated functions in the subclasses. Definition at line 84 of file vtkVolumeTextureMapper.h.

virtual int vtkVolumeTextureMapper::GetShade | ( |  | ) | `[virtual]`

| Allow access to the arrays / variables from the templated functions in the subclasses.

virtual vtkRenderWindow* vtkVolumeTextureMapper::GetRenderWindow | ( |  | ) | `[virtual]`

| Allow access to the arrays / variables from the templated functions in the subclasses.

virtual float* vtkVolumeTextureMapper::GetDataOrigin | ( |  | ) | `[virtual]`

| Allow access to the arrays / variables from the templated functions in the subclasses.

virtual void vtkVolumeTextureMapper::GetDataOrigin | ( | float | data[3] | ) | `[virtual]`

| Allow access to the arrays / variables from the templated functions in the subclasses.

virtual float* vtkVolumeTextureMapper::GetDataSpacing | ( |  | ) | `[virtual]`

| Allow access to the arrays / variables from the templated functions in the subclasses.

virtual void vtkVolumeTextureMapper::GetDataSpacing | ( | float | data[3] | ) | `[virtual]`

| Allow access to the arrays / variables from the templated functions in the subclasses.

virtual void vtkVolumeTextureMapper::Render | ( | vtkRenderer * | ren,
|  | vtkVolume * | vol
| ) | `[pure virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Render the volume Implements vtkVolumeMapper. Implemented in vtkMesaVolumeTextureMapper2D, vtkOpenGLVolumeTextureMapper2D, and vtkVolumeTextureMapper2D.

virtual float vtkVolumeTextureMapper::GetGradientMagnitudeScale | ( |  | ) | `[virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE Values needed by the volume Reimplemented from vtkVolumeMapper.

virtual float vtkVolumeTextureMapper::GetGradientMagnitudeBias | ( |  | ) | `[virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE Values needed by the volume Reimplemented from vtkVolumeMapper.

virtual float vtkVolumeTextureMapper::GetGradientMagnitudeScale | ( | int |  | ) | `[inline, virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE Values needed by the volume Reimplemented from vtkVolumeMapper. Definition at line 100 of file vtkVolumeTextureMapper.h. References vtkVolumeMapper::GetGradientMagnitudeScale().

virtual float vtkVolumeTextureMapper::GetGradientMagnitudeBias | ( | int |  | ) | `[inline, virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE Values needed by the volume Reimplemented from vtkVolumeMapper. Definition at line 102 of file vtkVolumeTextureMapper.h. References vtkVolumeMapper::GetGradientMagnitudeBias().

void vtkVolumeTextureMapper::InitializeRender | ( | vtkRenderer * | ren,
|  | vtkVolume * | vol
| ) | `[protected]`

| Reimplemented in vtkVolumeTextureMapper2D. Referenced by vtkVolumeTextureMapper2D::InitializeRender().

## Member Data Documentation

vtkEncodedGradientEstimator* vtkVolumeTextureMapper::GradientEstimator`[protected]`

| Definition at line 117 of file vtkVolumeTextureMapper.h.

vtkEncodedGradientShader* vtkVolumeTextureMapper::GradientShader`[protected]`

| Definition at line 118 of file vtkVolumeTextureMapper.h.

int vtkVolumeTextureMapper::Shade`[protected]`

| Definition at line 119 of file vtkVolumeTextureMapper.h.

float* vtkVolumeTextureMapper::GradientOpacityArray`[protected]`

| Definition at line 121 of file vtkVolumeTextureMapper.h.

unsigned char* vtkVolumeTextureMapper::RGBAArray`[protected]`

| Definition at line 122 of file vtkVolumeTextureMapper.h.

int vtkVolumeTextureMapper::ArraySize`[protected]`

| Definition at line 123 of file vtkVolumeTextureMapper.h.

float* vtkVolumeTextureMapper::RedDiffuseShadingTable`[protected]`

| Definition at line 125 of file vtkVolumeTextureMapper.h.

float* vtkVolumeTextureMapper::GreenDiffuseShadingTable`[protected]`

| Definition at line 126 of file vtkVolumeTextureMapper.h.

float* vtkVolumeTextureMapper::BlueDiffuseShadingTable`[protected]`

| Definition at line 127 of file vtkVolumeTextureMapper.h.

float* vtkVolumeTextureMapper::RedSpecularShadingTable`[protected]`

| Definition at line 128 of file vtkVolumeTextureMapper.h.

float* vtkVolumeTextureMapper::GreenSpecularShadingTable`[protected]`

| Definition at line 129 of file vtkVolumeTextureMapper.h.

float* vtkVolumeTextureMapper::BlueSpecularShadingTable`[protected]`

| Definition at line 130 of file vtkVolumeTextureMapper.h.

float vtkVolumeTextureMapper::DataOrigin[3]`[protected]`

| Definition at line 132 of file vtkVolumeTextureMapper.h.

float vtkVolumeTextureMapper::DataSpacing[3]`[protected]`

| Definition at line 133 of file vtkVolumeTextureMapper.h.

unsigned short* vtkVolumeTextureMapper::EncodedNormals`[protected]`

| Definition at line 135 of file vtkVolumeTextureMapper.h.

unsigned char* vtkVolumeTextureMapper::GradientMagnitudes`[protected]`

| Definition at line 136 of file vtkVolumeTextureMapper.h.

float vtkVolumeTextureMapper::SampleDistance`[protected]`

| Definition at line 138 of file vtkVolumeTextureMapper.h.

vtkRenderWindow* vtkVolumeTextureMapper::RenderWindow`[protected]`

| Definition at line 140 of file vtkVolumeTextureMapper.h.

The documentation for this class was generated from the following file:

- Rendering/vtkVolumeTextureMapper.h